.\" Copyright 1994 NEC Corporation, Tokyo, Japan.
.\"
.\" Permission to use, copy, modify, distribute and sell this software
.\" and its documentation for any purpose is hereby granted without
.\" fee, provided that the above copyright notice appear in all copies
.\" and that both that copyright notice and this permission notice
.\" appear in supporting documentation, and that the name of NEC
.\" Corporation not be used in advertising or publicity pertaining to
.\" distribution of the software without specific, written prior
.\" permission.  NEC Corporation makes no representations about the
.\" suitability of this software for any purpose.  It is provided "as
.\" is" without express or implied warranty.
.\"
.\" NEC CORPORATION DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
.\" INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN 
.\" NO EVENT SHALL NEC CORPORATION BE LIABLE FOR ANY SPECIAL, INDIRECT OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF 
.\" USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR 
.\" OTHER TORTUOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR 
.\" PERFORMANCE OF THIS SOFTWARE. 
.\"
.\" $Id: server.man,v 1.5 1994/01/27 11:12:12 kuma Exp $
.TH CANNASERVER 1M
.SH "NAME"
cannaserver \- Kana-Kanji conversion server
.SH "SYNOPSIS"
.B "cannaserver [\-d] [\-l \fIn\fP] [\fIddpath\fP]"
.SH "DESCRIPTION"
.PP
cannaserver provides the Kana-Kanji conversion service.  Usually all
users on the network can access cannaserver(1M).  The scope of
accessing sources (hosts, users) can be restricted using the
/etc/hosts.canna file.
.PP
After starting, cannaserver(1M) immediately forks and enters the
background process.  Thus, you do not need to use '&' to set the
background process explicitly.
.PP
When starting, cannaserver(1M) creates the lock file
@(LockDir)/@(LockFile) to avoid its duplicate starting.  The
lock file is deleted automatically at the end of cannaserver(1M) if no
trouble occurs.  The lock file may exist although cannaserver(1M) is
not in operation (because cannaserver(1M) terminates abnormally, for
example).  In this case, delete the file manually.
.PP
When starting, cannaserver(1M) examines
@(cannaLibDir)/dic/premountdics and mounts the dictionaries described
there before processing.  This enables a quick response to return
after a request to use a premounted dictionary is received from a
client.
.PP
Specification of the dictionary to use is determined by referencing
the dics.dir file of the dictionary directory according to the
request from the client.
.SH "OPTIONS"
.IP "\fIddpath\fP" 12
Specifies the directory that contains the dictionary.
.IP "\-l \fIn\fP" 12
Outputs the cannaserver(1M) log to /tmp/canna.log.  n (1 to 5)
specifies the log level.
.IP "\-d" 12
Starts cannaserver(1M) in debug mode.  It is executed as the
foreground process.  Log data at log level 5 is output to the standard
output.
.SH "FILES"
.IP "@(LockDir)/@(LockFile)" 36
Lock file
.IP "@(cannaLibDir)/dic/*/dics.dir" 36
Dictionary directory
.IP "/etc/hosts.canna" 36
Access control file
.IP "@(cannaLibDir)/dic/premountdics" 36
Premount dictionary list
.SH "SEE ALSO"
.PP
cannakill(1M), cannastat(1), cannacheck(1)
